<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

</head>

<body>
  <div class="container">
    <h2 style="text-align: center;">Personal Data Submit Form</h2>

    <div class="jumbotron container">
      <div class="row form-group">
        <div class="col-sm-3">
          <label for="input-first-name">First Name</label>
        </div>
        <div class="col-sm-9">
          <input type="text" id="inp-first-name" name="firstname" placeholder="Your first name ..."
            class="form-control">
        </div>
      </div>
      <div class="row form-group">
        <div class="col-sm-3">
          <label for="inp-last-name">Last Name</label>
        </div>
        <div class="col-sm-9">
          <input type="text" id="inp-last-name" name="lastname" placeholder="Your last name.." class="form-control">
        </div>
      </div>
      <div class="row form-group">
        <div class="col-sm-3">
          <label for="age">Age</label>
        </div>
        <div class="col-sm-9">
          <input type="number" id="inp-age" name="age" placeholder="Your age ..." class="form-control">
        </div>
      </div>
      <div class="row">
        <div class="col-sm-12" style="text-align: right;">
          <button id="btn-submit-data" class="btn btn-info">Submit Data</button>
        </div>
      </div>
    </div>
    <!-- HTML Log -->
    <hr>
    <div style="text-align: right;">
      <button id="btn-clear-log" class="btn btn-info"> Clear HTML Log </button>
    </div>
    <p id="p-html-log"></p>
  </div>
</body>
<script>
  "use strict";
  $(document).ready(function () {
    //REGION 2: gán sự kiện
    $("#btn-submit-data").on("click", onBtnSubmitClick);

    $("#btn-clear-log").on("click", onBtnClearLogClick);


    //REGION 3:
    function onBtnSubmitClick() {
      //Tạm thời viết dài dài mốt sàng lọc lại ngắn

      var vObjectPerson = {
        firstname: "",
        lastname: "",
        age: ""
      };              //B1: Thu Thập
      var vElementFirstNameValue = $("#inp-first-name").val(); //đọc luôn khoảng trắng
      var vElementLastNameValue = $("#inp-last-name").val();
      var vElementAgeValue = $("#inp-age").val();
      console.log("Nút submit Click");
      console.log("Object dưới đây là đọc giá trị nhập, tính luôn khoảng trắng");

      console.log("First Name:" + vElementFirstNameValue);
      console.log("Last Name: " + vElementLastNameValue);
      console.log("Age: " + vElementAgeValue);

      var vElementFirstNameValueTrim = $.trim(vElementFirstNameValue).replace(/\s+/g, ' ');
      var vElementLastNameValueTrim = $.trim(vElementLastNameValue).replace(/\s+/g, ' ');
      var vElementAgeValueTrim = vElementAgeValue;
      console.log("%c Object dưới đây là đọc giá trị nhập, SAU KHI BỎ KHOẢNG TRẮNG", "color:blue");

      console.log("First Name:" + vElementFirstNameValueTrim);
      console.log("Last Name: " + vElementLastNameValueTrim);
      console.log("Age: " + vElementAgeValueTrim);

      vObjectPerson.firstname = vElementFirstNameValueTrim;
      vObjectPerson.lastname = vElementLastNameValueTrim;
      vObjectPerson.age = vElementAgeValueTrim;
      console.log(vObjectPerson);

      if (vObjectPerson.firstname === "") {
        console.log("%c Chưa nhập họ", "color:red");
      }
      if (vObjectPerson.lastname === "") {
        console.log("%c Chưa nhập tên", "color:red");
      }
      if (vObjectPerson.age === "") {
        console.log("%c Chưa nhập tuổi", "color:red");
      }
      if (isNaN(vObjectPerson.age)) {
        console.log("%c tuổi phải là số từ 0 đến 200", "color:red");
      }
      if (vObjectPerson.age < 0 || vObjectPerson.age > 200) {
        alert("Sai tuổi nhập");
        console.log("%c tuổi phải là số từ 0 đến 200", "color:red");
      }
      showOnDivHtml(vObjectPerson);
    }
    function onBtnClearLogClick() {
      console.log("%c Đã clear HTML LOG", "color:green");
      $("#p-html-log").html("");

    }
    //REGION 4:
    function showOnDivHtml(paramObjectPerson) {
      var vDivHtmlLogElement = $("#p-html-log");
      vDivHtmlLogElement.append("Họ: " + paramObjectPerson.firstname + "<br>");
      vDivHtmlLogElement.append("Tên: " + paramObjectPerson.lastname + "<br>");
      vDivHtmlLogElement.append("Tuổi: " + paramObjectPerson.age);
    }
  });

</script>

</html>